<p></p>
<h2>PDF VIEWER</h2>
<div class="page">
  
 
  <pdf-viewer
    [src]="src"
    [original-size]="true"
    [render-text]="true"
    [rotation]="0"
    [show-all]="false"
    [fit-to-page]="true"
    [zoom]="1"
    [zoom-scale]="'page-width'"
    [stick-to-page]="true"
    [external-link-target]="'blank'"
    [autoresize]="true"
    [show-borders]="false"
    class="pdf-viewer"
    [page]="page"
    (after-load-complete)="afterLoadComplete($event)"
    class="pdf-viewer"
  ></pdf-viewer>
  <nav *ngIf="isLoaded">
    <button (click)="prevPage()" [disabled]="page === 1" class="previous">
      Prev
    </button>
    <button (click)="nextPage()" [disabled]="page === totalPages" class="next">
      Next
    </button>
    <p>{{ page }} / {{ totalPages }}</p>
  </nav>
  <div>
    <button (click)="addText('Sample Text', 100, 100)" class="text-primary">
      Download PDF
    </button>

  </div>

<h2>Ability to select some pages and download it</h2>
  <div>
    <input type="checkbox" (change)="togglePageSelection(page)" [checked]="selectedPages.includes(page)">
    <label>Select Page {{ page }}</label>
  </div>
<div>
  <button (click)="createNewPdfFromSelectedPages()">
    Create New PDF from Selected Pages
  </button>
</div>
 
<div class="pdf-merge">
  <input type="file" (change)="onFileSelected($event)" multiple accept=".pdf" />
  <button (click)="mergePDFs()">Merge PDFs</button>
</div>

 <!-- watermark -->
 <h2>Ability to Watermark in PDF</h2>
<div>
  <input type="file" (change)="fileSelected($event)">
  <input type="text" [(ngModel)]="watermarkText" placeholder="Enter watermark text">
  <button (click)="addWatermark()">Add Watermark</button>
</div>
<h2>Ability to Bookmark pages from PDF</h2>
 <!-- Bookmark -->
<div>
  <input type="file" (change)="fileSelected($event)">
  <input type="text" [(ngModel)]="bookmarkTitle" placeholder="Bookmark title">
  <input type="number" [(ngModel)]="bookmarkPageNumber" placeholder="Page number" min="1">
  <button (click)="addBookmark()">Add Bookmark</button>
  <ul>
    <li *ngFor="let bookmark of bookmarks">
      {{ bookmark.title }} (Page {{ bookmark.pageNumber }})
    </li>
  </ul>
  
  <button (click)="addBookmarks()">Add Bookmarks to PDF</button>
</div>

<div>

</div>




<!-- overlay -->
<h2>Ability to overlay or hide specific portion in the page</h2>
<div class="content">
  <p>This is some content on the page.</p>
  <p id="overlayed-content" [class.hidden-content]="isContentHidden">This content can be overlayed or hidden.</p>
  <p>More content here...</p>
</div>
<button (click)="toggleOverlay()">Toggle Overlay</button>
<button (click)="toggleHide()">Toggle Hide</button>
<div class="overlay" *ngIf="isOverlayVisible" (click)="toggleOverlay()"></div>


<h2>Ability to rotate page/image(clockwise, counter clockwise, 180 degree)</h2>

<div class="page-container" [ngStyle]="{'transform': 'rotate(' + rotationDegree + 'deg)'}">
    <h1>Hello World...........</h1>
     <img class="resize" src="assets/img1.png">
  </div>
  
  
  <div class="controls">
    <button (click)="rotateClockwise()">Rotate Clockwise</button>
    <button (click)="rotateCounterClockwise()">Rotate CounterClockwise</button>
    <button (click)="rotate180()">Rotate 180 Degrees</button>
  </div>


  
